//-----------------------------------------------------
//File: lcd_spi.h
//Auth: ELECTRONIC ASSEMBLY JM
//DATE: 04-17-2014
//-----------------------------------------------------
#ifndef LCDSPI_H
#define LCDSPI_H
//--- Port definitions ---
#define SID		p1_4
#define ddSID	pd1_4
#define SOD		p1_5
#define ddSOD	pd1_5
#define SCLK	p1_6
#define ddSCLK	pd1_6
#define CS		p3_3
#define ddCS	pd3_3

//--- Standard definitions for LCD ---
#define LCD_HOME_L1	0x80
#define LINE1	0

//HD44780
#define LINE2	LINE1+0x40
#define LINE3	LINE1+0x14
#define	LINE4 	LINE2+0x14

//Character table
#define CG0 0x00  //240 char from CGRom, 8 CGRam (8 free definable chars)
#define CG1 0x01  //248 char from CGRom, 8 CGRam (8 free definable chars)
#define CG2 0x02  //250 char from CGRom, 8 CGRam (6 free definable chars)
#define CG3 0x03  //256 char from CGRom, 8 CGRam (0 free definable chars) ->interesting for ROMC

#define DISPLAY_ON 	0x04
#define DISPLAY_OFF 0xFB
#define CURSOR_ON	0x02
#define CURSOR_OFF	0xFD
#define BLINK_ON	0x01
#define BLINK_OFF	0xFE

void initDispl(void);


void WriteChar		(char character);
void WriteString		(_far char * string);
void SetPostion		(char pos);
void DisplayOnOff	(char data);
void DefineCharacter	(unsigned char postion, unsigned char *data);
void ClrDisplay		(void);
void SetROM			(unsigned char rom);
#define GETCURSORADDR()	CheckBusy()

unsigned char CheckBusy		(void);

#endif
