//-----------------------------------------------------
//File: main.c
//Auth: ELECTRONIC ASSEMBLY JM
//DATE: 08-07-2012
//-----------------------------------------------------

//---Includes---
#include "sfr_r825.h"
#include "define.h"
#include "timer.h"
#include "lcd_spi.c"

#include "main.h"

static void externClock (void);

//--- module global varibles ---

//-----------------------------------------------------
//Func: main()
//Desc: main function with main loop
//-----------------------------------------------------
void main(void)
{
	char str[]={0x1F,0x2F,0x3F,0x4F,0x5F,0x6F,0x7F,0x8F,0x9F,0xAF,0xBF,0xCF,0xDF,0xEF,0xFF,0x00};
		
	externClock();
	
	initTimerRA();
	p2_6= 1;
	asm("FSET I");	//Interrupt enable

	
	initDispl(); 	//init display

	SetPostion(LINE1);
	WriteString("Hello World");
	SetPostion(LINE2);
	WriteString((_far char *)str);
	
	while(1)
	{
		SetROM(CG0);  Delay(1000); //show different Char sets
		SetROM(CG1);  Delay(1000);
		SetROM(CG2);  Delay(1000);
		SetROM(CG3);  Delay(1000);	
	}
	
}

//-----------------------------------------------------
//Func: externClock()
//Desc: switch to external clock no devision (20MHz)
//-----------------------------------------------------
static void externClock (void)
{
	asm("FCLR I");	//Interrupt disable

	prcr = 1;		//Protect off
	 
	cm13 = 1;		//Xin Xout
	cm15 = 1;		//XCIN-XCOUT drive capacity select bit : HIGH
	cm05 = 0;		//Xin on
	cm16 = 0;		//Main clock = No division mode 20MHz
	cm17 = 0;		//Main clock = No division mode
	cm06 = 0;		//CM16 and CM17 enable

	//Waitting for stable of oscillation
	asm("nop");
	asm("nop");
	asm("nop");
	asm("nop");

	ocd2 = 0;		//Main clock change

	prcr = 0;		//Protect on
}